:root {
    --uniFontColor: rgb(0, 0, 0);
    --UniWhiteColor: white;
    --navLinkFontClr: rgb(0, 0, 0);
    --navLinkHoverBG: rgb(212, 212, 212);
    --contentCardsBG: #ab4cff;
    --wlcmBoxShado: rgba(90, 29, 116, 0.21);
    --miniHeadingFSize: 1.5rem;
    --navLinkFontSze: 1rem;
    --wlcmttxtfontsize: 1.7rem;
    --socialCrdWid: 4rem;
    --queInWid: 25rem;
    --buyStpImgWid: 12rem;
    --ImpThngImgWid: 10rem;
    --WIInivrexImgWid: 8rem;
    --ofrClckImgWid: 2rem;
    --navBrnTxtImgWid: 8rem;
    --byStpContFntSize: 5rem;
    --navBrnblbImgWid: 3rem;
    --PrimaryBG: Whitesmoke;
    --SecondaryBG: white;
    --TertiaryBG: #c3c3c398;
    --QuadBG: #dbdbdb;
    --fontsizeSmlTnOtr: 0.1rem;
    --SimiMiniHeadings: 1.1rem;
}

* {
    scroll-behavior: smooth;
    -webkit-tap-highlight-color: transparent;
}

.highLighter {
    border: 2px solid red;
}

#feedBackTypePrent {
    width: 90%;
    max-width: 60rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin: auto;
}

.feedbackType {
    padding: 0rem 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    padding: 0.5rem 1rem;
    margin: auto 0.5rem;
    user-select: none;

}

.feedbackType:focus, a:visited, a:active {
    outline: none;
}

.feedbackType>span {
    border: 2px solid green;
    width: calc(var(--navLinkFontSze)*1.2);
    height: calc(var(--navLinkFontSze)*1.2);
    border-radius: 100%;
    margin-right: 0.4rem;
}

/* Main form starts from here */
#prntOfFormMainInNameEmail {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: auto;
    padding: 0;
    flex-direction: column;
}

.prntUserFeedIn {
    width: 95%;
    max-width: 26rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin: 0.2rem 0.4rem;
}

.prntUserFeedIn>p {
    text-align: left;
    width: 100%;
    font-weight: 600;
}

.feedInUser {
    padding: 0.4rem 0.6rem;
    outline: none;
    border: 2px solid rgb(1, 88, 1);
    width: 100%;
    max-width: 24rem;
    margin: 0.2rem 0.4rem;
    resize: none;
    border-radius: 5px;
}

.feedInUser:focus {
    border-color: rgb(110, 200, 0);
}


#FeedBackSbBTN {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--QuadBG);
    border: 2px solid var(--SecondaryBG);
    outline: none;
    padding: 0.5rem 0.7rem;
    font: caption;
    font-size: var(--navLinkFontSze);
    color: var(--uniFontColor);
    font-weight: 600;
    margin: auto;
    margin-top: 1rem;
    border-radius: 5px;
}

#FeedBackSbBTN:hover {
    cursor: pointer;
    background-color: var(--TertiaryBG);
}

#ThankSubWin {
    display: none;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 50;
    backdrop-filter: blur(10px);
}

#ThankSubWin>p {
    font: caption;
    color: var(--uniFontColor);
    font-size: var(--navLinkFontSze);
}

footer {
    margin-top: 20vh;
}